import React from "react";
import {
  Button,
  Col,
  Container,
  Row,
  Navbar,
  NavDropdown,
  Nav,
} from "react-bootstrap";
import style from "./Navbar.module.scss";
import logo from "../../assets/logo.png";
import { Input } from "antd";
import { IoMdCart } from "react-icons/io";

const { Search } = Input;

const MainNavbar = () => {
  return (
    <>
      <div className={style.mainCOntainer}>
        <section className={style.firstSection}>
          <p>Delivering Only In Karachi</p>
        </section>
        <section>
          <Navbar collapseOnSelect expand="lg" bg="light" variant="light">
            <Container>
              <Navbar.Brand href="">
                <img src={logo} alt="Hum Mart Logo" />
              </Navbar.Brand>
              <Navbar.Toggle aria-controls="responsive-navbar-nav" />
              <Navbar.Collapse id="responsive-navbar-nav">
                <Nav className="me-auto">
                  
                </Nav>
                <Nav className="me-auto" style={{width: "70%"}}>
                <Search
                    placeholder="input search text"
                    enterButton="Search"
                    size="large"
                  />
                  {/* <Nav.Link href="#features">Features</Nav.Link>
                  <Nav.Link href="#pricing">Pricing</Nav.Link> */}
                </Nav>
                <Nav>
                  <Nav.Link href="#deets">More deets</Nav.Link>
                  <Nav.Link eventKey={2} href="#memes">
                    Dank memes
                  </Nav.Link>
                </Nav>
              </Navbar.Collapse>
            </Container>
          </Navbar>
        </section>
      </div>
    </>
  );
};

export default MainNavbar;
